# template: default
%global gem_name fx

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Support for database functions and triggers in Rails migrations
License: MIT
URL: https://github.com/teoljungberg/fx
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7
BuildRequires: ruby >= 2.7
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Adds methods to ActiveRecord::Migration to create and manage database
functions
and triggers in Rails.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.standard.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/fx.gemspec
%{gem_instdir}/spec

%changelog
* Sun Mar 26 2023 Foreman Packaging Automation <packaging@theforeman.org> 0.8.0-1
- Update to 0.8.0

* Fri Jul 01 2022 Eric D. Helms <ericdhelms@gmail.com> - 0.7.0-1
- Release rubygem-fx 0.7.0

* Mon Mar 15 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.5.0-2
- Rebuild for Ruby 2.7

* Thu Apr 09 2020 ianballou <ianballou67@gmail.com> 0.5.0-1
- Add rubygem-fx generated by gem2rpm using the scl template
